{
  "type" : "record",
  "name" : "Prognosis",
  "namespace" : "org.gel.models.report.avro",
  "fields" : [ {
    "name" : "referenceUrl",
    "type" : "string",
    "doc" : "URL where reference information for this prognosis can be found"
  }, {
    "name" : "prognosis",
    "type" : [ "null", {
      "type" : "enum",
      "name" : "PrognosisClassification",
      "symbols" : [ "altered_prognosis", "favourable_prognosis", "unfavourable_prognosis" ]
    } ],
    "doc" : "Prognosis classification (defined as favourable or unfavourable),\n        in the case that the direction of the prognosis is not known altered_prognosis should be used"
  }, {
    "name" : "source",
    "type" : [ "null", "string" ],
    "doc" : "Source if known"
  }, {
    "name" : "references",
    "type" : [ "null", {
      "type" : "array",
      "items" : "string"
    } ],
    "doc" : "References"
  }, {
    "name" : "conditions",
    "type" : [ "null", {
      "type" : "array",
      "items" : "string"
    } ],
    "doc" : "Conditions"
  }, {
    "name" : "description",
    "type" : [ "null", "string" ],
    "doc" : "Full description of the associated prognosis"
  }, {
    "name" : "variantActionable",
    "type" : "boolean",
    "doc" : "If true, the association was made at the variant level, if not the association was made at Genomic Entity level"
  } ]
}
